正在加载中...

关闭
请选择需要拨打的号码
关闭
请根据问题类型选择QQ咨询

CENTOS服务器yum update时怎样更新安全补丁,过滤掉内核不升级内核版本呢?

CENTOS服务器yum update时怎样更新安全补丁,过滤掉内核不升级内核版本呢?

您在购买阿里云服务器后,RedHat/CentOS/Fedora使用  yum update  更新时,默认会都会升级内核,比如从CENTOS6.8升级到CENTOS6.9,结果可能导致php5.2等无法使用;有些服务器硬件(特别是组装的机器)在升级内核后,新的内核可能也会认不出某些硬件,要重新安装驱动,很麻烦。所以在生产环境中不要轻易的升级内核,除非你确定升级内核后不会出现麻烦的问题。如果您无法处理服务器配置服务器维护等问题,可以委托给万维景盛工程师处理!

如果不想升级内核而只更新其他软件包,有两种方法:

1、修改yum的配置文件 vim /etc/yum.conf ,在  [main]  的最后添加 exclude=kernel*
2、直接在yum的命令后面加上如下的参数:


代码如下:

yum –exclude=kernel* update

阿里云 CentOS 使用 yum update 命令不升级 内核 和 操作系统 的方法

代码如下:

vi /etc/yum.conf

# 在 [main] 的最后添加:

exclude=kernel*

# 和

exclude=centos-release*

# 按 Esc 键,输入 :wq,然后回车
# 大功告成!


最后总结:

在 /etc/yum.conf 的 [main] 后面添加以下配置即可!


代码如下:

exclude=kernel* 
exclude=centos-release*

对于宝塔等主机管理面板来说,exclude参数还应该包括以下参数,以确保这些web相关软件由面板来控制,而不是由系统来控制。

exclude=httpd nginx php mysql mairadb python-psutil python2-psutil

通过小编的推广链接购买阿里云服务器,可以免费领取2000元代金券,这个你一定不会拒绝的吧!用券又不会怀孕,对不对?

立即领取2000元阿里云代金券

当然,想痛快点直接打折,也不是没有可能,咨询一下我们万能的客服吧!


返回上一页